/*! Terms & Conditions Per Product Admin
 */

/**
 * @summary     Terms & Conditions Per Product Admin
 * @description This plugin allows you to set custom Terms and Conditions per WooCommerce product.
 * @version     1.0.0
 * @file        terms-per-product-admin
 * @author      Giannis Kipouros
 * @contact     https://tacpp-pro.com
 *
 */


(function ($) {
	'use strict';

	// On load
	$(document).ready(function ($) {

		/**
		 * Run AJAX request when the user clicks on hide admin notice.
		 */
		$(document).on('click', '.tacpp-admin-notice', function (e) {

			e.preventDefault();
			let noticeID = $(this).attr('id');

			let data = {
				'action': 'tacpp_hide_notice',
				'nonce': tacppObj.ajaxNonce,
				'noticeID': noticeID
			};

			$.post(ajaxurl, data, function (response) {
				$('#' + noticeID).hide();
			});
		});

		$('#tacpp_terms_in_modal.disabled').on('click', function (e) {
			console.log('disabled');
		});

	}); // End document ready
})(jQuery);
