<?php
/**
 * Template file for WP admin settings page
 */
require_once( TACPP4_PLUGIN_PATH . '/templates/admin-header.php' );

if ( ! function_exists( 'woocommerce_admin_fields' ) ) {
    ?>
	<section id="tacpp-admin-no-wc">
		<p><?php esc_html_e( 'Terms and Conditions per product is a WooCommerce extension.', 'terms-and-conditions-per-product' ); ?></p>
		<p><?php esc_html_e( 'Please enable the WooCommerce plugin.', 'terms-and-conditions-per-product' ); ?></p>
	</section>
<?php } else { ?>
	<section id="tacpp-admin-form">
		<form method="POST">
            <?php
            woocommerce_admin_fields( self::get_settings() );
            submit_button();
            ?>
		</form>
	</section>
<?php }
